Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 186461 - Formatting failure with inline comments
Formatting failure with inline comments
Status: VERIFIED FIXED
Product: php
Classification: Unclassified
Component: Formatting & Indentation
6.x
PC Windows XP
: P3 (vote)
: 7.0
Assigned To: Petr Pisl
issues@php
69patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-20 21:34 UTC by xantiva
Modified: 2011-04-22 09:12 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description xantiva 2010-05-20 21:34:24 UTC
If I try to format the following code, the 'inline comment' will be wrapped into a new line. This happens not, if there is no other variable declaration before the function. 


<?php

class myClass
{

    private $a = 1; // comment
    private $b = 2;

    function __construct()
    {

    }
}

?>


Product Version: NetBeans IDE 6.9 Beta (Build 201004200117)
Java: 1.6.0_20; Java HotSpot(TM) Client VM 16.3-b01
System: Windows XP version 5.1 running on x86; Cp1252; de_DE (nb)
Comment 1 Petr Pisl 2010-05-28 14:25:05 UTC
Fixed in web-main. Should be added to the first patch for NetBeans 6.9
Comment 2 Quality Engineering 2010-05-30 07:11:10 UTC
Integrated into 'main-golden', will be available in build *201005300001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/bd268edfda87
User: Petr Pisl <ppisl@netbeans.org>
Log: #186461 -  Formatting failure with inline comments
Comment 3 Filip Zamboj 2010-06-01 12:29:39 UTC
verified in 
Product Version: NetBeans IDE Dev (Build 2010-06-01_09-04-11 )
Java: 1.6.0_16; Java HotSpot(TM) 64-Bit Server VM 14.2-b01

i agree with porting to 6.9.1
Comment 4 pgebauer 2010-06-03 09:51:11 UTC
The fix has been ported into the release691 branch.
http://hg.netbeans.org/release691/rev/be0419b83e4b
Comment 5 Jaromir Uhrik 2010-07-07 14:55:48 UTC
Verified in the following 6.9.1 build:
Product Version: NetBeans IDE 6.9.1 Dev (Build 201007062301)
Java: 1.6.0_20; Java HotSpot(TM) 64-Bit Server VM 16.3-b01-279
System: Mac OS X version 10.5.8 running on x86_64; MacRoman; en_US (nb)
Comment 6 xantiva 2011-04-22 09:12:15 UTC
Thanks, for fixing this bug!


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo